First time here? Check out the FAQ!
x

Software Informer says I am using version 1.0.0.0 of Steam and the latest version would be 1.1.1.1. Steam itself says I am as up to date. Can anyone make sense of this?

0 votes
asked by about Steam
edited by

Software Informer says I am using version 1.0.0.0 of Steam and the latest version would be 1.1.1.1. Steam itself says I am as up to date. Can anyone make sense of this?

2 Answers

0 votes
answered by (340 points)

bug dont worry your steam version is 1.1.1.1

0 votes
answered by (264k points)

When you encounter this issue, press the Refresh button on SI Client or update the client using Help > About. You will be able to download a new version from that list. To keep track of SI Client's updates, if you have an older version of the client, it will be displayed in the software's list as being outdated.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...